Upload a Voice
Upload user-provided voice style, which can be in base64 encoding or file format.
Set the header 'Authorization: Bearer {your API key}' for authentication
In: header
Header Parameters
Request trace ID. You can pass a custom value to mark the request; if omitted, the platform generates one automatically. For troubleshooting, either this value or the x-siliconcloud-trace-id in the response header can be provided.
The W3C Trace Context standard tracing header. When present, the platform uses its trace-id part as the tracing identifier of the request.
Predefined voice style model name
"FunAudioLLM/CosyVoice2-0.5B"User-defined voice style name
"your-voice-name"Corresponding text content for the audio
"在一无所知中, 梦里的一天结束了,一个新的轮回便会开始"Audio file encoded in base64 with the header format of data:audio/mpeg;base64
"data:audio/mpeg;base64,aGVsbG93b3JsZA=="Predefined voice style model name
"FunAudioLLM/CosyVoice2-0.5B"User-defined voice style name
"your-voice-name"Corresponding text content for the audio
"在一无所知中, 梦里的一天结束了,一个新的轮回便会开始"File to upload
binary"/path/to/audio.mp3"Response Headers
Request trace ID. The unique identifier for this request, useful for log lookup and troubleshooting. Generated by the platform when X-Trace-Id is not provided, and echoed back as-is when it is. When troubleshooting, either trace ID can be provided.
Response Body
Successful response.
TypeScript Definitions
Use the response body type in TypeScript.
"speech:your-voice-name:xxx:xxx"curl -X POST "https://api.siliconflow.cn/v1/uploads/audio/voice" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@test.mp3" \
-F "model=IndexTeam/IndexTTS-2" \
-F "customName=your-voice-name" \
-F "text=慢工出细活,再给我两分钟,你马上就能见识到超梦分析的厉害了"
import requests
url = "https://api.siliconflow.cn/v1/uploads/audio/voice"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
files = {
"file": open("test.mp3", "rb")
}
data = {
"model": "IndexTeam/IndexTTS-2",
"customName": "your-voice-name",
"text": "慢工出细活,再给我两分钟,你马上就能见识到超梦分析的厉害了"
}
response = requests.post(url, headers=headers, files=files, data=data)
print(response.text)
{
"uri": "speech:your-voice-name:xxx:xxx"
}{
"code": 20012,
"message": "string",
"data": "string"
}"Invalid token""Forbidden""404 page not found"{
"message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
"data": "string"
}{
"code": 50505,
"message": "Model service overloaded. Please try again later.",
"data": "string"
}"string"Image Generation POST
Creates an image response for the given prompt. The URL for the generated image is valid for one hour. Please make sure to download and store it promptly to avoid any issues due to URL expiration.
Create a Speech POST
Generate audio from input text. The data generated by the interface is the binary data of the audio, which requires the user to handle it themselves.